package org.bitbucket.bradleysmithllc.etlagent.informatica.dto;

import com.google.gson.stream.JsonWriter;

import java.io.File;
import java.io.IOException;

public class ExportWorkflowRequestDTO extends BaseRepositoryRequestDTO
{
	private final String folder;
	private final String workflowName;
	private final File target;

	public ExportWorkflowRequestDTO(String folder, String workflowName, File target) {
		this.folder = folder;
		this.workflowName = workflowName;
		this.target = target;
	}

	public String getFolder() {
		return folder;
	}

	public String getWorkflowName() {
		return workflowName;
	}

	public File getTarget() {
		return target;
	}
}